Public Member Functions

# wxStringOutputStream Class Reference
[Streams]

`#include <wx/sstream.h>`

Inheritance diagram for wxStringOutputStream:
[legend]

## Detailed Description

This class implements an output stream which writes data either to a user-provided or internally allocated string.

Note that currently this stream does not support seeking but can tell its current position.

##

Library: wxBase
Category: Streams

## Public Member Functions
| wxStringOutputStream (wxString *pString=0, wxMBConv &conv=wxConvUTF8)
| Construct a new stream object writing the data to a string.
const wxString & | GetString () const
| Returns the string containing all the data written to the stream so far.

List of all members.

## Constructor & Destructor Documentation

wxStringOutputStream::wxStringOutputStream | ( | wxString * | pString = `0`,
|  | wxMBConv & | conv = `wxConvUTF8` |
| ) |  |  |

Construct a new stream object writing the data to a string.

If the provided pointer is non-NULL, data will be written to it. Otherwise, an internal string is used for the data written to this stream, use GetString() to get access to it.

If str is used, data written to the stream is appended to the current contents of it, i.e. the string is not cleared here. However if it is not empty, the positions returned by wxOutputStream::TellO will be offset by the initial string length, i.e. initial stream position will be the initial length of the string and not 0.

Notice that the life time of conv must be greater than the life time of this object itself as it stores a reference to it. Also notice that with default value of this argument the data written to the stream must be valid UTF-8, pass `wxConvISO8859_1` to deal with arbitrary 8 bit data.

## Member Function Documentation

const wxString& wxStringOutputStream::GetString | ( |  | ) | const

Returns the string containing all the data written to the stream so far.

|  | [ top ]